"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CloudwatchLogFormatter = void 0;
const format_1 = require("./format");
/**
 * Formats the log in native cloudwatch format and
 * mixes in the Lambda request context data
 * Default format for pino-lambda
 */
class CloudwatchLogFormatter {
    format(data) {
        const { awsRequestId, level, msg } = data;
        // extract parts for message format
        const time = new Date().toISOString();
        const levelTag = format_1.formatLevel(level);
        return `${time}${awsRequestId ? `\t${awsRequestId}` : ''}\t${levelTag}\t${msg}\t${JSON.stringify(data)}`;
    }
}
exports.CloudwatchLogFormatter = CloudwatchLogFormatter;
