"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StructuredLogFormatter = void 0;
const format_1 = require("./format");
/**
 * Formats the log in structured JSON format while
 * including the Lambda context data automatically
 * @see https://aws.amazon.com/blogs/compute/introducing-advanced-logging-controls-for-aws-lambda-functions
 */
class StructuredLogFormatter {
    format({ awsRequestId, level, ...data }) {
        return JSON.stringify({
            timestamp: new Date().toISOString(),
            level: format_1.formatLevel(level),
            requestId: awsRequestId,
            message: data,
        });
    }
}
exports.StructuredLogFormatter = StructuredLogFormatter;
